Page MenuHomePhabricator

General DonationInterface code cleanup
Open, MediumPublic0 Story Points

Description

Tracking task for any cleanup work.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterFix PHP CodeSniffer issues
mediawiki/extensions/DonationInterface : masterRemove unused api_request stuff
mediawiki/extensions/DonationInterface : masterDon't senselessly repeat base class code
mediawiki/extensions/DonationInterface : masterCleanup
mediawiki/extensions/DonationInterface : masterBurn a small book of unused code

Event Timeline

awight created this task.Jan 16 2015, 6:23 PM
awight raised the priority of this task from to Medium.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2015, 6:23 PM
gerritbot added a subscriber: gerritbot.

Change 184849 had a related patch set uploaded (by Awight):
Burn a small book of unused code

https://gerrit.wikimedia.org/r/184849

Patch-For-Review

Change 184844 had a related patch set uploaded (by Awight):
Cleanup

https://gerrit.wikimedia.org/r/184844

Patch-For-Review

atgo edited a custom field.Jan 16 2015, 7:56 PM

Change 184849 merged by jenkins-bot:
Burn a small book of unused code

https://gerrit.wikimedia.org/r/184849

atgo assigned this task to awight.Jan 29 2015, 12:47 AM

Change 184844 merged by jenkins-bot:
Cleanup

https://gerrit.wikimedia.org/r/184844

awight renamed this task from General DonationInterface code cleanup to Tracking: General DonationInterface code cleanup.Feb 5 2015, 7:11 AM

Change 189134 had a related patch set uploaded (by Awight):
Don't senselessly repeat base class code

https://gerrit.wikimedia.org/r/189134

Patch-For-Review

Change 189134 merged by jenkins-bot:
Don't senselessly repeat base class code

https://gerrit.wikimedia.org/r/189134

awight removed awight as the assignee of this task.Feb 7 2016, 1:25 AM
Danny_B renamed this task from Tracking: General DonationInterface code cleanup to General DonationInterface code cleanup (tracking).May 31 2016, 3:40 PM
Danny_B added a project: Tracking-Neverending.
Danny_B renamed this task from General DonationInterface code cleanup (tracking) to General DonationInterface code cleanup.Jul 11 2016, 6:28 PM
Danny_B removed a project: Tracking-Neverending.

Change 332971 had a related patch set uploaded (by Ejegg):
Remove unused api_request stuff

https://gerrit.wikimedia.org/r/332971

Change 332971 merged by jenkins-bot:
Remove unused api_request stuff

https://gerrit.wikimedia.org/r/332971

mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM

Change 437402 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/DonationInterface@master] Fix PHP CodeSniffer issues

https://gerrit.wikimedia.org/r/437402

Change 437402 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix PHP CodeSniffer issues

https://gerrit.wikimedia.org/r/437402

Krinkle removed a subscriber: Krinkle.Jun 6 2018, 8:00 PM